<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml">
	<h:commandButton value="#{messages['net.ihe.gazelle.cdagen.Download']}"  styleClass="gzl-btn-blue"
		action="#{generatorManagerBean.downloadFile(commonEditorManager.getAttributeAsString(cDAPOCDMT000040ClinicalDocumentEditorManager.selectedCDAPOCDMT000040ClinicalDocument, 'net.ihe.gazelle.cda'))}" />
	<gdk:spacer height="10px" />
	<h:commandButton value="#{messages['net.ihe.gazelle.cdagen.Validate']}"  styleClass="gzl-btn-blue"
		action="#{generatorManagerBean.validate(commonEditorManager.getAttributeAsString(cDAPOCDMT000040ClinicalDocumentEditorManager.selectedCDAPOCDMT000040ClinicalDocument, 'net.ihe.gazelle.cda'))}"
		target="_blank" />
	<gdk:spacer height="10px" />
	<a4j:commandButton value="#{messages['gazelle.simulator.Save']}"  styleClass="gzl-btn-blue"
		actionListener="#{generatorManagerBean.initSaveAction()}"
		
		oncomplete="jq162('#saveModalPanel').modal('show');"
		render="saveModalPanel" />
	<br />
	<br />
	<gri:popupPanel id="saveModalPanel">
		<f:facet name="header">
			<h:outputText value="#{messages['net.ihe.gazelle.cdagen.SaveCDADocument']}" />
		</f:facet>
		<f:facet name="controls">
			<h:graphicImage alt="#{messages['net.ihe.gazelle.cdagen.Close']}" value="/img/modal/close.gif"
				style="cursor:pointer"
				onclick="jq162('#saveModalPanel')}.hide()" />
		</f:facet>
		<h:outputText
			value="#{messages['net.ihe.gazelle.cdagen.HereYouCanSaveYourDocumentGeneratedAndDownloadOr']}" />
		<s:decorate template="/layout/edit.xhtml">
			<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.FileName']}</ui:define>
			<h:inputText value="#{generatorManagerBean.fileToSaveName}" />
		</s:decorate>
		<div align="right">
			<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Confirm']}"  styleClass="gzl-btn-green"
				action="#{generatorManagerBean.saveCDADoc(commonEditorManager.getAttributeAsString(cDAPOCDMT000040ClinicalDocumentEditorManager.selectedCDAPOCDMT000040ClinicalDocument, 'net.ihe.gazelle.cda'))}"
				onclick="jq162('#saveModalPanel').modal('hide');"
				
				render="messageDecoration" />
			<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Cancel']}"  styleClass="gzl-btn-red"
				onclick="jq162('#saveModalPanel')}.hide()" execute="@this" />
		</div>
	</gri:popupPanel>
</ui:composition>
